PAGTypes.h File Reference
`#include <deque>`
`#include <string>`
`#include <unordered_map>`
`#include <boost/optional.hpp>`
`#include "IWORKOutputElements.h"`
`#include "IWORKTypes_fwd.h"`
`#include "PAGEnum.h"`

Go to the source code of this file.

## Classes
struct | libetonyek::PAGPublicationInfo
struct | libetonyek::PAGFootnoteState
struct | libetonyek::PAGAttachment

## Namespaces
namespace | libetonyek

## Typedefs
typedef std::unordered_map< std::string, IWORKOutputElements > | libetonyek::PAGAnnotationMap_t
typedef std::unordered_map< ID_t, PAGAttachment > | libetonyek::PAGAttachmentMap_t